### Function

# PangoCairo.error_underline_path

#### Declaration [src]

    void
    pango_cairo_error_underline_path (
      cairo_t* cr,
      double x,
      double y,
      double width,
      double height
    )

#### Description [src]

Add a squiggly line to the current path in the specified cairo context that approximately covers the given rectangle in the style of an underline used to indicate a spelling error.

The width of the underline is rounded to an integer number of up/down segments and the resulting rectangle is centered in the original rectangle.

#### Parameters

`cr` | `cairo_t*`
| a Cairo context
| Ownership is not transferred to the callee
`x` | `double`
| The X coordinate of one corner of the rectangle
`y` | `double`
| The Y coordinate of one corner of the rectangle
`width` | `double`
| Non-negative width of the rectangle
`height` | `double`
| Non-negative height of the rectangle